Page MenuHomePhabricator

Deprecate AbuseFilter's support for Zero
Open, Needs TriagePublic

Event Timeline

MaxSem created this task.Jul 12 2019, 6:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2019, 6:16 AM

Could someone please run

SELECT * FROM abuse_filter WHERE af_pattern LIKE '%user_wpzero%'

The query is not so performant, but the abuse_filter table is small.

Disabling affected filters (or updating them if e.g. the wpzero part is ORed with something else) will be enough to fix.

Mentioned in SAL (#wikimedia-operations) [2019-07-18T04:31:36Z] <legoktm> running query for T227843 on mwmaint102

Thanks @Legoktm I'm going to take a look at those. Although I have to say, this is more than I expected. And without a global abusefilter-manager group in place, it'll be even harder to fix all of those filters. That said, these filters won't be straightforward to fix (like it was e.g. in T209565). Every filter has its own fix, and sometimes the filter just has to be deleted. Actually, I don't even know if I'd do that with global AF-manager rights.

OK, so, first of all I'd like to announce it on Tech News. We should inform people that wpzero support will be removed, and thus update their filters accordingly. Then let's see how many of those are fixed, and decide how to move on.

Note that the query above includes disabled & deleted filters. Ideally, people should remove the user_wpzero part altogether (since it won't work anyway), but in order to get more precise results, we could re-run the query above including AND af_enabled = 1 AND af_deleted != 0. But that can be delayed until the T/N is released.

OK, so, first of all I'd like to announce it on Tech News. We should inform people that wpzero support will be removed

Excellent idea! :D

When do you plan to have it happening?

@Trizek-WMF I'd say in the next T/N. It could take some time for people to fix affected filters, so the sooner the better.

94rain added a subscriber: 94rain.Jul 22 2019, 1:09 PM

I've disabled and marked ptwiki's filter 155 as deleted.

4nn1l2 added a subscriber: 4nn1l2.Jul 22 2019, 1:41 PM

Filters 149 and 150 on Commons disabled and deleted.

Hungarian Wikipedia is done.

DannyS712 added subscribers: Huji, DannyS712.EditedMon, Aug 19, 2:28 AM

Current status, from what I can tell, based on confirmations in comments above from @Guilhermebm, @4nn1l2, and @Bencemac

All filters not yet crossed off are either private (so I can't check if they are fixed) or are verified as having not yet been fixed. Maybe @Huji could take a look? ckbwiki, maiwiki, mediawikiwiki, newiki, and test2wiki are all in the global sysop wiki set.

@DannyS712 the MW.org filter was marked as deleted in July by @Mainframe98.

It would probably be a good idea to drop the list in the task description so people can keep it up to date more easily.

DannyS712 updated the task description. (Show Details)Mon, Aug 19, 5:36 AM
DannyS712 updated the task description. (Show Details)Mon, Aug 19, 1:24 PM
Daimona updated the task description. (Show Details)Mon, Aug 19, 1:32 PM

@Daimona I updated these: [...]

Thanks a lot! Only the filter on hewiki is left, now.

Note that all of these were deleted filters. Going forward, we should make sure we only query for active filters.

Yes, if disabled/deleted filters can be left unchanged (which sometimes could not be fine). To do that, just add AND af_enabled = 1 AND af_deleted = 0 to the query.

eranroz updated the task description. (Show Details)Wed, Aug 21, 5:38 PM

OK, so we can move on. There's nothing else we can do in AF itself, I believe. I'll keep an eye on logstash to see if we missed anything.